// Flash Loading Display
function display_loading() {
  $('#loading-display').fadeIn(400)
  $('#loading-display-icon').fadeIn(1000).addClass("pulse");
}

function hide_loading() {
  $('#loading-display-icon').delay(750).fadeOut(1000).removeClass("pulse");
  $('#loading-display').delay(750).fadeOut(400)
}

// Install Form Functionality
function disable_form() {
  $('#install-form-button').prop("disabled", true);
}

function enable_form() {
  $('#install-form-button').prop("disabled", false);
}

// Login Error Messages
function show_error(error_id) {
  $('.' + error_id).show();
}

function hide_error(error_id) {
  $('.' + error_id).hide();
}
